<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.template.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_HEADER-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_CONTENT-BASE.vue.ftl
</#ibizinclude>

    /**
     * 是否显示按钮
     *
     * @type {boolean}
     * @memberof ${srfclassname('${view.name}')}
     */
    @Prop({default: true}) public ifShowButtons!: boolean;

    /**
     * 节点过滤值
     *
     * @type {string}
     * @memberof ${srfclassname('${view.name}')}
     */
    public srfnodefilter: string = '';

    /**
     * 快速搜索
     *
     * @returns {void}
     * @memberof ${srfclassname('${view.name}')}
     */
    public onSearch(): void {
        if (!this.viewState) {
            return;
        }
        <#if view.hasPSControl('tree')>
        this.viewState.next({ tag: '${view.getPSControl('tree').name}', action: 'filter', data: { srfnodefilter: this.srfnodefilter } });
        </#if>
    }

     /**
     * 视图选中数据
     *
     * @type {any[]}
     * @memberof ENTITYTEST1PickupView
     */
    public viewSelections:any[] = [];

     /**
     * 确定
     *
     * @memberof ENTITYTEST1PickupView
     */
    public onClickOk(): void {
        this.$emit('viewdataschange', this.viewSelections);
        this.$emit('close', null);
    }

    /**
     * 取消
     *
     * @memberof ENTITYTEST1PickupView
     */
    public onClickCancel(): void {
        this.$emit('close', null);
    }

<#ibizinclude>
../@MACRO/VIEW_BOTTOM-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW-BASE.style.ftl
</#ibizinclude>